<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system.auth.basic</groupId>
        <artifactId>basic-auth</artifactId>
        <version>1.8.2.2</version>
    </parent>

    <groupId>ru.entaxy.esb.system.auth.basic.htpasswd</groupId>
    <artifactId>htpasswd</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: BASIC AUTH :: HTPASSWD</name>
    <description>SYSTEM :: ENTAXY :: BASIC AUTH :: HTPASSWD</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.auth.basic.htpasswd,
        </bundle.osgi.export.pkg>
        <!-- bundle.osgi.private.pkg>
	        ru.entaxy.esb.system.auth.basic.htpasswd.entity,
	        ru.entaxy.esb.system.auth.basic.htpasswd.rest
        </bundle.osgi.private.pkg -->
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.system.auth.basic.jpa.api,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity.field,
            org.apache.cxf.jaxrs.impl,
            org.apache.camel.component.cxf.jaxrs.blueprint,
            org.apache.camel.component.cxf.blueprint,
            org.apache.commons.codec.binary,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.system.auth.basic.api</groupId>
            <artifactId>basic-auth-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel.karaf</groupId>
            <artifactId>camel-cxf-blueprint</artifactId>
            <version>${camel.version}</version>
        </dependency>
    </dependencies>
</project>
